Subject: Re: [RRG] Renumbering...

From: Yakov Rekhter <[email-masked]>
Date: Wed, 20 Aug 2008 18:50:07 -0700

Tony,

> Hi Eric,
> 
> |I also, perhaps incorrectly, perceive that you don't
> |seem to realize that the difference between ISPs is trivial when
> |compared to the extreme differences between end users. I state that any
> |model that treats all end users as equivalent is inherently broken and
> |any Internet solution based on such a faulty notion is unlikely to
> |succeed because it does not recognize reality.
> 
> I'm failing to see what's relevant here.  Of course I don't see all users as
> equivalent or all ISPs as equivalent.  Arguing about their relative
> differences doesn't seem to shed any particular insight into the routing
> architecture.  
> 
> Treating all end users as equivalent isn't my position, it's simply an
> observation about the behavior of many ISPs when it comes to PI.  The
> reality is that the sales person will simply accept PI from just about
> anyone.  Thus, trying to get any meaningful architectural difference in the
> treatment of different end-sites is going to be problematic at best.
> 
> 
> |When we talk about PI versus PA space we are really talking about
> |whether network addresses are owned or leased. We are also 
> |talking about
> |business dependencies. You can look up our public PI address space and
> |see its scope. What I want you to realize is that when we 
> |became part of
> |the Internet we owned our own addresses -- that is the model that we
> |bought into. Certain forces are trying to re-define that model, trying
> |to compel us to lease addresses and to become dependent upon outside
> |ISPs that are smaller than us. How dare they!! Who are they to try to
> |put our business at risk? Whether they realize it or not, the new model
> |that they are trying to foist upon us resembles blackmail -- 
> |switch ISPs
> |and it will cost you an arm and a leg. This is unacceptable. The PI
> |space is a non-negotiable fact. Any model that does not accept PI for
> |large end users for *both* IPv4 and IPv6 is inherently broken. 
> 
> So you say.  Yet your 'business' model when extended simply puts the entire
> Internet at risk.  You'll pardon us if we do something else then.
> 
> 
> |Concerning your equation that PI equals NAT, I can only say Bah! (or
> |whatever the English equivalent is for the German doch!). That is
> |ridiculous. (I.e., it is a function of the large multiplicity of
> |different PI spaces, not the existence of PI itself -- 2000 
> |different PI
> |spaces in IPv6 will not harm the Internet.) However, let's pretend that
> |it is accurate. Given that, then NATs are ****vastly**** preferable to
> |losing PI. Vastly. Incomparably so.
> 
> 
> 2000 different PI spaces are irrelevant.  In fact, the v4 swamp is already
> much bigger than that today.  The real problem is that 2^48 PI spaces are
> what will happen if nothing changes.  If there is no end site renumbering to
> get out of this mode, then the only way to make that addressing aggregatable
> is to translate it into an alternate space.  That makes it effectively NAT.

I'd like to pose the following two questions:

1. Do folks agree that to get to the point where 2^48 PI spaces
would become a reality is likely to require *massive* deployment of
v6-to-v4 NAT ?

2. If the answer to the first question is "yes", then are we just
arguing whether in addition to v6-to-v4 NAT we should also have
v6-to-v6 NAT ?

Yakov.

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg